uniform sampler2D tex0;
uniform mediump vec2 size_tex0;
uniform mediump vec2 fontShadowGap;

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec4 varColor;

void main (void)
{
	vec2 offset=vec2(fontShadowGap.x/size_tex0.x, fontShadowGap.y/size_tex0.y);
	float srcAlpha= texture2D(tex0, varTexcoord0.st, 0.0).a;
	vec2 compareBelowTexCoord=varTexcoord0.st+vec2(0.0, offset.t);
	vec2 compareLeftTexCoord=varTexcoord0.st+vec2(-offset.s, offset.t);
	vec2 compareRightTexCoord=varTexcoord0.st+vec2(offset.s, offset.t);
	float filterAlpha = (1.0-texture2D(tex0, compareBelowTexCoord).a)
						* (1.0-texture2D(tex0, compareLeftTexCoord).a)
						* (1.0-texture2D(tex0, compareRightTexCoord).a);
	float alpha=srcAlpha*filterAlpha;
	gl_FragColor=vec4(1.0, 1.0, 1.0, alpha)*varColor;
}
