uniform sampler2D tex0;
uniform sampler2D tex1;
uniform mediump vec4 filter_settings; //x is intensity

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec2 varTexcoord1;
varying mediump vec4 varColor;

//burn tiles only
/*
void main (void)
{
	vec4 baseCol=texture2D(tex0, varTexcoord0.st, 0.0)*varColor;
	float averageBaseValue=(baseCol.r+baseCol.g+baseCol.b)/3.0;
	vec4 burnSrcCol=texture2D(tex1, varTexcoord1.st, 0.0);
//	burnSrcCol.a=averageBaseValue;
	vec4 burnCol=vec4(1.0-(1.0-baseCol.rgb)/burnSrcCol.rgb, burnSrcCol.a);//1.0);//burnSrcCol.a*filter_settings.x);
	vec3 overallCol=vec3(burnCol.rgb*burnCol.a)+vec3(baseCol.rgb*(1.0-burnCol.a));
	gl_FragColor =vec4(overallCol*filter_settings.rgb, max(filter_settings.a, baseCol.a));
//	gl_FragColor =vec4(burnSrcCol.rgb, 1.0);
}
*/

//burn tiles and bg at once
void main (void)
{
	vec4 baseCol=texture2D(tex0, varTexcoord0.st, 0.0);
	float averageBaseValue=(baseCol.r+baseCol.g+baseCol.b)/3.0;
	vec4 burnSrcCol=texture2D(tex1, varTexcoord1.st, 0.0);
//	burnSrcCol.a=averageBaseValue;
	vec3 baseDarkness=(1.0-baseCol.rgb);
	vec4 burnCol=vec4(1.0-baseDarkness/burnSrcCol.rgb, burnSrcCol.a*filter_settings.x);
	vec3 overallCol=vec3(burnCol.rgb*burnCol.a)+vec3(baseCol.rgb*(1.0-burnCol.a));
	gl_FragColor =vec4(overallCol, 1.0)*varColor;
//	gl_FragColor =vec4(burnSrcCol.rgb, 1.0);
}
