uniform sampler2D tex0;
uniform sampler2D tex1;
uniform mediump vec4 vignette_settings; //xy is center pos, zw is 1.0/screen width & height of effect

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec2 varTexcoord1;
varying mediump vec4 varColor;

//color burn vignette
void main (void)
{
	float darkenAmount=texture2D(tex1, varTexcoord1.st, 0.0).a*0.04;//0.03
	vec3 baseCol=texture2D(tex0, varTexcoord0.st, 0.0).rgb-darkenAmount;
	
	float averageBaseValueScaled=(baseCol.r+baseCol.g+baseCol.b)*0.25;//0.75*(1.0/3.0);
	vec2 vectorToCenter=vignette_settings.xy-gl_FragCoord.xy;
	vec2 vectorScaled=vectorToCenter*vignette_settings.zw;
	float vectorLengthSq=vectorScaled.x*vectorScaled.x+vectorScaled.y*vectorScaled.y;
	float proximityToCenterNonLinear=1.0-min(vectorLengthSq, 0.999);

	float burnSrcCol=0.2+0.8*proximityToCenterNonLinear;
	float burnAlpha=averageBaseValueScaled;
	vec3 baseDarkness=1.0-baseCol.rgb;
	vec3 burnCol=1.0-(baseDarkness/burnSrcCol);
	vec3 burnResultCol=vec3(burnCol*burnAlpha)+vec3(baseCol*(1.0-burnAlpha));

	//add brightness
	float brightness=0.01+0.2*proximityToCenterNonLinear;	
	vec3 finalCol=burnResultCol+brightness;
	
	gl_FragColor =vec4(finalCol, 1.0)*varColor;
}


